﻿			
			//hranimo status igre - true - če je igra v teku, false - če igra ni v teku
			var igraTece=false;
			
			//z dvema spremenljivkama označujemo smer premikanja zoge
			//sePremikaDesno: true - če se žoga premika desno po x osi, false - če se žoga premika levo po x osi
			//sePremikaDol: true - če se žoga premika navzdol po y osi, false - če se žoga premika gor po y osi
			var sePremikaDesno=false;  
			var sePremikaDol=false;
			
			//spremenljivka, s katero dostopamo do timera, s katerim si pomagamo pri osveževanju pozicije žoge
			var timerZoga;
			
			//začetna hitrost žoge 10px/30 ms
			var premikZoge=10; 
			var osvezitveniCas=30; 
			
			var velikostZoge=30;
			var stDotikovLoparja=0;
			
			
			/*
			init: inicializacija parametrov, kliče se le enkrat, in sicer ob nalaganju strani 
			-inicializacija začetne pozicije oblaka (slika za ozadje div-a okvir), in sicer -150px levo ter 20px navzdol, in zagon funkcije, ki oblak premika
			*/
			function init()
			{
				//začetno pozicijo slike ozadja div-a okvir (oblak.png) nastavi na -150px levo in 0px navzdol 
				document.getElementById("okvir").style.backgroundPosition="-150px 15px"
				//zaženi premikanje oblaka
				premikajOblak();
				
				
			}
			
			/*
			premikajOblak: funkcija za premikanje pozicije slike ozadja (oblak.png) div-a okvir
			- oblak naj se v okvirju neprestano premika od leve (začetek: -350px) proti desni (konec: takoj, ko je v celoti izven okvirja), 
			in sicer vsakih 30 stotink sekunde (spremenljivka osvezitveniCas) naj se premakne za 1px v desno
			- ko oblak prepotuje celotno razdaljo od leve proti desni, naj se njegova pot začne znova, vendar pa se mu spremeni višina,
			in sicer tako, da se generira naključna vrednost med 0 in polovico širine okvirja
			-vse vrednosti, ki jih v funkciji potrebujete, kot je npr. širina okvirja, je potrebno pridobiti preko javascript funkcij oz. atributov   
			*/
			function premikajOblak()
			{
				
				var okvir=document.getElementById("okvir"); //okvir igre
				
				var koordinateOblaka=okvir.style.backgroundPosition;
				koordinateOblaka = koordinateOblaka.split(" ");
				
				if(parseInt(koordinateOblaka[0]) < okvir.scrollWidth)
				{
					koordinateOblaka[0]= (parseInt(koordinateOblaka[0]) + 1) + "px";
				}
				else
				{
					koordinateOblaka[0]="-350px";
					koordinateOblaka[1] = Math.floor(Math.random() * okvir.scrollHeight/2) + "px";
				}
				
				okvir.style.backgroundPosition = koordinateOblaka[0] + " " + koordinateOblaka[1];
				
				setTimeout("premikajOblak()", osvezitveniCas);
				
			}
			
		
			/*
			premikLopara: funkcija izračuna pozicijo loparja (na x osi) 
			-potrebno je pridobiti x koordinato miškinega kazalca in izračunati relativno pozicijo miške glede na okvir igre
			-pri premiku loparja levo oz. desno je treba paziti na to, da lopar ne izgine iz okvirja na levi in na desni strani
			-x koordinata miškinega kazalca mora ustrezati sredini loparja
			-vse vrednosti, ki jih v funkciji potrebujete, kot je npr. širina okvirja igre, je potrebno pridobiti preko javascript funkcij oz. atributov  
			*/
			function premikLopara(event)
			{
				var bat=document.getElementById("lopar"); //lopar
				var okvir=document.getElementById("okvir"); //okvir igre
				var sirinaLoparja = bat.scrollWidth;
				var sirinaOkvirja= okvir.scrollWidth;
				var pozX = Math.round(event.clientX) -  Math.round(okvir.offsetLeft); //relativna miškina pozicija glede na okvir
				
				//če lopar ni čisto ob ali desnem levem robu, potem mu spremeni pozicijo
				if( (pozX - Math.round(sirinaLoparja/2) > 0) && (pozX + Math.round(sirinaLoparja/2) < sirinaOkvirja))
				{
					bat.style.left=(pozX - Math.round(sirinaLoparja/2)) + "px";
				}
				
					
			}
			
			/*
			zacniIgro: funkcija se zažene ob kliku na področje div-a okvir, predstavlja začetek igre, če ta ni že v poteku
			-generira se začetna pozicija žoge, in sicer tako, da se za x pozicijo izbere naključna vrednost med 10px in tretjino širine okvirje po koraku 10 (torej bodisi 10,20,30,...,širinaOkvirja/3)
			 y pozicija žoge pa je fiksna, in sicer 10px od vrha
			-smer gibanja žoge (levo ali desno, navzgor ali navzdol) se prav tako generira naključno
			-zažene se gibanje žoge oz. osveževanje pozicije žoge
			-števec dotikov loparja se ponastavi na 0
			-vse vrednosti, ki jih v funkciji potrebujete, kot je npr. širina okvirja igre, je potrebno pridobiti preko javascript funkcij oz. atributov  
			*/
			function zacniIgro(event)
			{
				if(igraTece==false)
				{
					var okvir=document.getElementById("okvir"); //okvir igre
					var sirinaOkvirja= okvir.scrollWidth;
					var zoga=document.getElementById("zoga");
					zoga.style.left=((Math.ceil(Math.random()* sirinaOkvirja/30)) * 10)   + "px"; 
					zoga.style.top="10px";
					
					if(Math.round(Math.random())==0)
						sePremikaDesno=true;
					else
						sePremikaDesno=false;
					
					if(Math.round(Math.random())==0)
						sePremikaDol=true;
					else
						sePremikaDol=false;
					
					stDotikovLoparja=0;
					document.getElementById("stDotikov").innerHTML="0";
					igraTece=true;
					
				
					
					osveziPozicijoZoge();
				}
			}
			
			/*
			osveziPozicijoZoge: funcija, ki periodično izračunava pozicijo žoge (upoštevajte spremenljivke osvezitveniCas, premikZoge)
			-paziti je treba na mejne vrednosti, torej upoštevati, ko žoga zadene levi, desni, zgornji ali spodnji rob okvirja 
			-ko žoga zadene spodnji rob okvirja, je igre konec - pojavi se popup okno, ki javi uporabniku, da je igre konec ter izpiše št. dotikov loparja,
			 prav tako pa je treba ob koncu igre tudi preveriti, če se rezultat uvršča v najboljših 5 in če se, ga vpisati na ustrezno mesto 			
			-prav tako treba paziti na situacijo, ko žoga zadene lopar, takrat je tudi treba povečati števec stDotikovLoparja in osvežiti napis v div-u razreda dotikiLoparja
			-vse vrednosti, ki jih v funkciji potrebujete, kot je npr. širina okvirja igre, je potrebno pridobiti preko javascript funkcij oz. atributov  
			*/
			
			function osveziPozicijoZoge()
			{
				var sirinaOkvirja= document.getElementById("okvir").scrollWidth;
				var visinaOkvirja = document.getElementById("okvir").scrollHeight;
				var bat=document.getElementById("lopar"); //lopar
				var sirinaLoparja = bat.scrollWidth;
				var zoga=document.getElementById("zoga");
				var pozicijaX=parseInt(zoga.style.left); 
				var pozicijaY=parseInt(zoga.style.top); 
				
				//preveri, ce je na spodnjem robu - potem je konec igre
				if((pozicijaY + velikostZoge) >= visinaOkvirja)
				{
					clearTimeout(timerZoga);
					igraTece=false;
					alert("Igre je konec! Št. točk: " + stDotikovLoparja);
					preveriTopPet(stDotikovLoparja);
					return;
				}

			
				
				//preveri, če se dotika lopara - in če se, obrni smer gibanja žoge iz navzdol proti navzgor, povečaj števec dotikov loparja, osveži napis v div-u dotikiLoparja
				if((pozicijaY + velikostZoge) == bat.offsetTop || (pozicijaY + velikostZoge) == bat.offsetTop+5)
				{
					if(pozicijaX+velikostZoge >= bat.offsetLeft && pozicijaX <= (bat.offsetLeft+sirinaLoparja)) 
					{
						sePremikaDol=!sePremikaDol;
						stDotikovLoparja++;
						document.getElementById("stDotikov").innerHTML=stDotikovLoparja;
					}
				}
				
				//preveri, če se dotika zgornjega roba
				if(pozicijaY <= 0)
					sePremikaDol=!sePremikaDol;
				
				//preveri, če se dotika levega ali desnega roba, spremeni horizontalno smer gibanja
				if(pozicijaX <= 0 || (pozicijaX + velikostZoge) >= sirinaOkvirja)
					sePremikaDesno=!sePremikaDesno;
				
				//osvezi pozicijo zoge glede na to ali se premika navzgor ali navzdol ter na levo ali desno
				if(sePremikaDesno)
					pozicijaX=pozicijaX + premikZoge;
				else
					pozicijaX=pozicijaX - premikZoge;
					
				if(sePremikaDol)	
					pozicijaY=pozicijaY + premikZoge;
				else
					pozicijaY=pozicijaY - premikZoge;
				
				zoga.style.left = pozicijaX + "px";
				zoga.style.top = pozicijaY + "px";
				
				timerZoga=setTimeout("osveziPozicijoZoge()", osvezitveniCas);
				
			}
			
			/*
			preveriTopPet(rezultat): funkcija preveri, če se rezultat uvršča med najboljših 5 dosežkov, in če se, ga zapiše na ustrezno mesto (znotraj div-a z razredom "top5"), 
			ostale rezultate pa ustrezno pomakne
			*/
			function preveriTopPet(rezultat)
			{
				if(rezultat > 0)
				{
					var polje=new Array();
					polje[0]=parseInt(document.getElementById("1").innerHTML);
					polje[1]=parseInt(document.getElementById("2").innerHTML);
					polje[2]=parseInt(document.getElementById("3").innerHTML);
					polje[3]=parseInt(document.getElementById("4").innerHTML);
					polje[4]=parseInt(document.getElementById("5").innerHTML);
					polje[5]=rezultat;
					
					polje.sort(function(a,b){return b - a});
					
					
					for(i=1; i<=5; i++)
					{
						document.getElementById(i.toString()).innerHTML=polje[i-1].toString()+ "t";
					}
						
					
				}
				
			}
			
		
			
			
			
			
			
		
			
			
			